#include "qad_widgets.h"
#include "spinsliderplugin.h"
#include "colorbuttonplugin.h"
#include "shortcutsplugin.h"
#include "clineeditplugin.h"
#include "qipeditplugin.h"
#include "qpointeditplugin.h"
#include "qrecteditplugin.h"
#include "ecomboboxplugin.h"
#include "qpiconsoleplugin.h"
#include "iconedlabelplugin.h"
#include "qcodeeditplugin.h"
#include "qvarianteditplugin.h"
#include "qpiconfigplugin.h"
#include "evalspinboxplugin.h"
#include "imageviewplugin.h"
#include "scroll_spin_boxplugin.h"
#include "rangesliderplugin.h"


QADWidgets::QADWidgets(QObject * parent): QObject(parent) {
	m_widgets.append(new SpinSliderPlugin(this));
	m_widgets.append(new ColorButtonPlugin(this));
	m_widgets.append(new ShortcutsPlugin(this));
	m_widgets.append(new CLineEditPlugin(this));
	m_widgets.append(new QIPEditPlugin(this));
	m_widgets.append(new QPointEditPlugin(this));
	m_widgets.append(new QRectEditPlugin(this));
	m_widgets.append(new EComboBoxPlugin(this));
	m_widgets.append(new QPIConsolePlugin(this));
	m_widgets.append(new IconedLabelPlugin(this));
	m_widgets.append(new QCodeEditPlugin(this));
	m_widgets.append(new QVariantEditPlugin(this));
	m_widgets.append(new QPIConfigPlugin(this));
	m_widgets.append(new EvalSpinBoxPlugin(this));
	m_widgets.append(new ImageViewPlugin(this));
	m_widgets.append(new ScrollSpinBoxPlugin(this));
	m_widgets.append(new RangeSliderPlugin(this));
}


QList<QDesignerCustomWidgetInterface * > QADWidgets::customWidgets() const {
	return m_widgets;
}


#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(qad_widgets_plugin, QADWidgets)
#endif
